Articles of Android 5.0 sucette

Base de données SQLite donne un index automatique d’avertissement sur (colonne) Après la mise à niveau d’Android L

J’ai mis à jour mon Nexus 7 avec Android 5.0 Lollipop, avant que mon application ne se passe bien avec la firebase database SQLite, mais maintenant, chaque fois que j’exécute n’importe quel type de requête, 12-09 12:37:04.942: E/SQLiteLog(13041): (284) automatic index on area(server_id) 12-09 12:37:04.942: E/SQLiteLog(13041): (284) automatic index on account(area_id) 12-09 12:37:04.942: E/SQLiteLog(13041): (284) […]

Styling ActionMode ActionBar dans Android 5.0 Lollipop (avec AppCompat)

J’ai utilisé ce tutoriel pour améliorer mon application Holo pour Lollipop: http://android-developers.blogspot.ru/2014/10/appcompat-v21-material-design-for-pre.html Ce que j’ai: Thème true @color/theme_primary @color/theme_primary_dark @color/theme_accent Disposition de la barre d’outils Activité héritée d’ActionBarActivity avec un fragment ListFragment en mode multi-choix getListView().setChoiceMode(ListView.CHOICE_MODE_MULTIPLE_MODAL); Résultat : la barre d’outils est correcte. Il utilise les couleurs de thème séparées, mais la barre d’action utilisée […]

android: Theme.Material.Light nécessite le niveau API 21 (le min actuel est 8)

Je veux utiliser le thème Matériel dans mon application qui a la version minimale de SDK de 8. Selon docs – “Le thème matériel est uniquement disponible dans Android 5.0 (API niveau 21) et supérieur. Les bibliothèques de support v7 fournissent des thèmes avec des styles de conception de matériaux pour des widgets et un […]

Failure Android-L

J’essaie d’utiliser le nouveau CardView d’Android L. J’ai tout mis à jour dans le gestionnaire de SDK, mais je continue à recevoir l’erreur suivante: Échec [INSTALL_FAILED_OLDER_SDK] Ceci est mon fichier build.gradle : apply plugin: ‘android’ android { comstackSdkVersion ‘android-L’ buildToolsVersion ‘20.0.0’ defaultConfig { applicationId “www.thomascbeerten.com.nieuwetests” minSdkVersion 8 targetSdkVersion 20 versionCode 1 versionName “1.0” } buildTypes […]

Android FAB plus signe pas présent sur android drawable

Où puis-je trouver le signe plus au centre d’un bouton d’action flottant? Est-ce fait par Android ou dois-je le faire moi-même?

En-tête et pied de page RecyclerView

Peut-être que cette question a déjà été posée auparavant, mais je n’arrivais pas à trouver une réponse ou une solution précise. J’ai commencé à utiliser RecyclerView et je l’ai implémenté à l’aide de LinearLayoutManager. Maintenant, je souhaite append des éléments d’en-tête et de pied de page personnalisés, différents des autres éléments de mon RecyclerView. L’en-tête […]

Échec de la fusion du manifeste: uses-sdk: minSdkVersion 10 ne peut pas être plus petit que la version L déclarée dans la bibliothèque com.android.support:appcompat-v7:21.0.0-rc1

Vous avez l’erreur ci-dessus après avoir téléchargé la version de prévisualisation L dans Android Studio , lorsque mon projet avait minSdkVersion 19. De plus, lorsque vous définissez mindSdkVersion comme ci-dessous: defaultConfig { …. minSdkVersion ‘L’ …. } Je reçois des dizaines d’erreurs comme ci-dessous, concernant les ressources de AppCompat-v7-21 : /home/user/workspace/project/build/intermediates/exploded-aar/com.android.support/appcompat-v7/21.0.0-rc1/res/values-v21/values.xml Error:Error resortingeving parent for […]

notifyDataSetChanged ne fonctionne pas sur RecyclerView

Je reçois des données du serveur, puis les parsing et les stocke dans une liste. J’utilise cette liste pour l’adaptateur de RecyclerView. J’utilise des fragments. J’utilise un Nexus 5 avec KitKat. J’utilise la bibliothèque de support pour cela. Est-ce que cela fera une différence? Voici mon code: (Utilisation de données factices pour la question) Variables […]

Le commutateur Android textOn et textOff ne fonctionnent pas dans Lollipop

Le comportement du widget de changement a changé dans Lollipop (5.0). Commutateur rendu lorsque targetSdkVersion = 19: Commutateur rendu lorsque targetSdkVersion = 21: Notez que le rendu de l’aperçu dans Android Studio produit toujours un commutateur avec du texte, mais le commutateur perd son texte lorsqu’un apk construit avec targetSdkVersion = 21 est exécuté sur […]

Appcompat v21 Toolbar Elevation Pre-Lollipop

Tout d’abord, je sais que cette question a déjà été posée, mais il n’a pas été répondu auparavant. J’espère que quelqu’un peut me donner une réponse. Dans mon application, j’utilise la barre d’outils Appcompat_v7 (API 21). Ceci est mon code: Et c’est le style ToolBar que j’utilise: ?attr/colorPrimary @style/ActionBarTitle 2dp @style/ThemeOverlay.AppCompat.Light @style/ThemeActionBarDark @drawable/btn_dark_orange @drawable/btn_dark_orange Le […]